/*
 * Copyright Openmind http://www.openmindonline.it
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package it.openutils.testing.dbunit;

import org.dbunit.operation.DatabaseOperation;


/**
 * Extended operation for dbunit that disables FK checks.
 * @author fgiust
 * @version $Id: MySqlNoFkCleanInsertOperation.java 925 2008-11-10 15:26:41Z fgiust $
 */
public class MySqlNoFkCleanInsertOperation extends MySqlAbstractNoFkOperation
{

    /**
     * @param operation
     */
    public MySqlNoFkCleanInsertOperation()
    {
        super(DatabaseOperation.TRUNCATE_TABLE);
    }

}
