/*
 * Copyright (c) Openmind.  All rights reserved. http://www.openmindonline.it
 */
package it.openutils.testing.dbunit.datatype;

import java.sql.Types;

import org.dbunit.dataset.datatype.DataType;
import org.dbunit.dataset.datatype.DataTypeException;
import org.dbunit.dataset.datatype.DefaultDataTypeFactory;


/**
 * @author fcarone
 * @version $Id: HsqlDatatypeFactory.java 672 2008-02-20 17:14:54Z fcarone $
 */
public class HsqlDatatypeFactory extends DefaultDataTypeFactory
{

    /**
     * {@inheritDoc}
     * Needed to fix Boolean type recognition for HSQLDB
     */
    @Override
    public DataType createDataType(int sqlType, String sqlTypeName) throws DataTypeException
    {
        if (sqlType == Types.BOOLEAN)
        {
            return DataType.BOOLEAN;
        }
        return super.createDataType(sqlType, sqlTypeName);
    }
}
